-- name: CreateCurso :one
INSERT INTO cursos (nome, regiao) VALUES ($1, @regiao) RETURNING *;

-- name: ListCursos :many
SELECT * FROM cursos WHERE regiao = @regiao ORDER BY nome;

-- name: GetCursoByID :one
SELECT * FROM cursos WHERE id = $1 AND regiao = @regiao;

-- name: UpdateCurso :one
UPDATE cursos SET nome = $2 WHERE id = $1 AND regiao = @regiao RETURNING *;

-- name: DeleteCurso :exec
DELETE FROM cursos WHERE id = $1 AND regiao = @regiao;

-- name: GetCursoByNome :one
SELECT * FROM cursos WHERE nome = $1 AND regiao = @regiao;
